using InABox.Integration.Awg;

namespace InABox.Integration.V6
{
    public interface IV6BOM<TGroup, TStyle, TSupplier, TProfile,TGasket,TComponent,TGlass,TLabour> 
        : IAwgBOM<TGroup, TStyle, TSupplier, TProfile,TGasket,TComponent,TGlass,TLabour> 
        where TGroup : IV6Group
        where TStyle : IV6Style
        where TSupplier : IV6Supplier
        where TProfile : IV6Profile
        where TGasket : IV6Gasket
        where TComponent : IV6Component
        where TGlass : IV6Glass
        where TLabour : IV6Labour
    {
    }
}